<?php

namespace ShineSoftware\Constriv\Controller\Adminhtml\Log;

use Magento\Backend\App\Action\Context;
use Magento\Framework\Filesystem;

class Download extends AbstractLog
{
    /**
     * @var Filesystem
     */
    protected $_frameworkFilesystem;

    public function __construct(Context $context, 
        Filesystem $frameworkFilesystem)
    {
        $this->_frameworkFilesystem = $frameworkFilesystem;

        parent::__construct($context);
    }

public function execute()
{
$fileName = $this->_frameworkFilesystem->getDirectoryWrite('var')->getAbsolutePath().DIRECTORY_SEPARATOR.'log'.DIRECTORY_SEPARATOR."shinesoftware_constriv.log";
if(file_exists($fileName)){
$newfile = $this->_frameworkFilesystem->getDirectoryWrite('media')->getAbsolutePath() .DIRECTORY_SEPARATOR."shinesoftware_constriv.log";
@unlink($newfile);
copy($fileName,$newfile);
$url = str_replace("index.php/admin/","",Mage::getUrl('media'));
Mage::app()->getResponse()->setBody($url ."shinesoftware_constriv.log");
}else{
Mage::app()->getResponse()->setBody(0);
}
}
}
